using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace S04_Projet
{
    public class MyImageThread
    {
        public byte[] file;
        public MyImage image;
        public long loadTime;
        private Stopwatch sw;

        public MyImageThread(byte[] file)
        {
            sw = new Stopwatch();
            this.file = file;
        }

        public void ThreadLoop()
        {
            sw.Restart();
            image = new MyImage(file);
            sw.Stop();
            loadTime = sw.ElapsedMilliseconds;
        }
    }
}
